Bug 982675 - Spurious siteconf temporary file created by gem install
Spurious siteconf temporary file created by gem install
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rubygems (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 10:34 EDT by Dominic Cleal
Modified: 2013-07-24 20:43 EDT (History)
4 users (show)

See Also:
Fixed In Version: rubygems-2.0.5-100.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:43:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic Cleal 2013-07-09 10:34:39 EDT
Description of problem:
When doing a gem install of a native gem that calls a Makefile, an additional file is created in the installation directory that appears to be a by-product of the ext build process.

Version-Release number of selected component (if applicable):
ruby-2.0.0.195-8.fc19.x86_64
ruby-libs-2.0.0.195-8.fc19.x86_64
rubygems-2.0.3-1.fc19.noarch

How reproducible:
Always on F19 with rubygems 2.

Steps to Reproduce:
1. gem install mysql
2. ls -l /usr/local/share/gems/gems/mysql-2.9.1/ext/mysql_api/siteconf*rb

Actual results:
# gem install mysql
Fetching: mysql-2.9.1.gem (100%)
Building native extensions.  This could take a while...
Successfully installed mysql-2.9.1
Parsing documentation for mysql-2.9.1
Installing ri documentation for mysql-2.9.1
Done installing documentation for mysql after 0 seconds
1 gem installed
# ls -l /usr/local/share/gems/gems/mysql-2.9.1/ext/mysql_api/siteconf*rb
-rw-------. 1 root root 254 Jul  9 14:30 /usr/local/share/gems/gems/mysql-2.9.1/ext/mysql_api/siteconf20130709-29615-uujzbf.rb

Expected results:
no siteconf*rb file

Additional info:
Fixed by upstream (pending) PR: https://github.com/rubygems/rubygems/pull/587
Comment 1 Dominic Cleal 2013-07-10 03:29:54 EDT
Fixed in rubygems 2.0.4, just released:
http://blog.rubygems.org/2013/07/09/2.0.4-released.html

("Cleaned up siteconf between extension build and extension install. Pull request #587 by Dominic Cleal")
Comment 2 Mamoru TASAKA 2013-07-12 03:50:22 EDT
Okay, now I am thinking of upgrading rubygems to 2.0.4, however at first I want to see how Vít think about bug 979133 (yeah, ruby / rubygems on Fedora really needs some cleanup...)
Comment 3 Vít Ondruch 2013-07-12 12:07:06 EDT
RubyGems update should be ok. Some patches were even accepted upstream, so it should be a bit better now.

BTW 2.0.5 were released already.
Comment 4 Mamoru TASAKA 2013-07-15 04:03:53 EDT
Well, it seems 2.0.5 needs some patches (binary extension installation fails...) I am preparing.
Comment 5 Fedora Update System 2013-07-16 00:29:06 EDT
rubygems-2.0.5-100.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygems-2.0.5-100.fc19
Comment 6 Fedora Update System 2013-07-16 23:14:51 EDT
Package rubygems-2.0.5-100.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygems-2.0.5-100.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13126/rubygems-2.0.5-100.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-07-24 20:43:07 EDT
rubygems-2.0.5-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.